<?php
////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright Silver Dolphin Solutions, LLC, Edward Lemmers, P.E.
// For licensing, see license.txt.
// Created:	2/17/2015	ELL
// 

	include ("check_session.php");
	
	$last_page_edited = $_SESSION['last_page_edited'];
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Edit Page Select</title>
<link rel="stylesheet" href="manager.css" type="text/css">

<script src="js/jquery-1.11.1.min.js"></script>
<script src="js/json2.js"></script>
<script src="js/browser_detect.js"></script>
<script src="js/mouse_position.js"></script>
<script src="js/popup_msg.js"></script>
<script src="js/manage_page_attributes.js"></script>

<style>
#editor_options_div	{
	display:block;
	position:absolute;
	top:50px;
	left:400px;
}

#save_attributes_btn	{
	position:relative;
	display:block;
	top:50px;
	left:100px;
	width:105px;
}
</style>
</head>

<body onload="GetPageAttributes('<?php echo $last_page_edited; ?>', -1);">
	<div id="sub_level_1_buttons">
	
        <div class="button_heading_sub_level_1"><div class="button_heading_text_sub_level_1">Manage Page Attributes</div><div class="button_heading_help" onclick="OpenHelpWindow();">&nbsp;</div></div>
		<?php
			if ($access_level == "restricted")
				$query = "SELECT page_name FROM " . BWB_TABLE_PREFIX . "page_data WHERE restricted = 0 ORDER BY page_name";
			else
				$query = "SELECT page_name FROM " . BWB_TABLE_PREFIX . "page_data ORDER BY page_name";
			$result = $bwb_dbh->query($query);
			$num_results = $result->rowCount();
			$i = 0;
			while ($row = $result->fetch(PDO::FETCH_ASSOC))
			{
				$page_name = $row["page_name"];
				if ($page_name == $last_page_edited)
					$selected = " down_sub";
				else
					$selected = "";
				if ($page_name == "index")
					$home = " (Home)";
				else
					$home = "";
				

				echo "<div id='page_name_select$i' class='button_sub_level_1$selected' onClick=\"GetPageAttributes('$page_name', $i);\"><span class='button_text_sub_level_1'>$page_name$home</span></div>\n";
				$i++;
			}
		?>
    </div>
    <div id="editor_options_div">
        <form name="frmPageAttributes" id="frmPageAttributes" action="save_page_attributes.php" method="post" enctype="multipart/form-data">
            <span class="bold">Editor Options</span><br /><br />
            <input type="checkbox" id="use_table_structure" name="use_table_structure" />
            Use Page Table Structures<br />
            <input type="checkbox" id="use_table_structure_mobile" name="use_table_structure_mobile" />
            Use Page Table Structures for Mobile<br /><br />
            <input type="checkbox" id="body_onload" name="body_onload" />
            Call Body OnLoad Function<br /><br />
            <input type="checkbox" id="disable_site_styles" name="disable_site_styles" />
            Disable Site Styles when Editing<br />
            
            <div class='button_console_save' onClick="SavePageAttributes();" id="save_attributes_btn"><span class='button_console_text_w_icon'>Update</span></div>
            
            <input type="hidden" name="page_cnt" id="page_cnt" value="<?php echo $num_results; ?>" />
            <input type="hidden" name="page_name" id="selected_page" />
        </form>
    </div>
    
<?php include("lib/popup_msg.html"); ?>

<script language="JavaScript"  type="text/javascript">
	HidePopupMsg();
</script>
</body>
</html>